<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.elytron.server-ssl-sni-context">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="default-ssl-context,host-context-map"/>
        <elem name="addr-params" value="profile,host,subsystem,server-ssl-sni-context"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.elytron"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.security.ssl-context.$server-ssl-sni-context"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.security.ssl-context.$default-ssl-context"/>
        <capability name="$profile.org.wildfly.security.ssl-context.$host-context-map" optional="true"/>
    </requires>
    <refs>
        <ref feature="subsystem.elytron"/>
        <ref feature="profile" nillable="true"/>
        <ref feature="host" nillable="true"/>
    </refs>
    <params>
        <param name="host" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="elytron"/>
        <param name="default-ssl-context"/>
        <param name="server-ssl-sni-context" feature-id="true"/>
        <param name="host-context-map" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
    </params>
</feature-spec>